Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.infocardOrganizer
Class InfocardEqualizer

    java.lang.Object
      java.lang.Thread
          org.infoml.infocardOrganizer.InfocardEqualizer

All Implemented Interfaces:
  java.lang.Runnable

    public class InfocardEqualizer

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`InfocardEqualizer()`

Method Summary
`void` | `equalizeContentcards()`
`void` | `equalizeNotecards()`
`void` | `fileOpened(MainFrame mainFr)`
`MainFrame` | `getMainFr()`
`NotecardModel` | `getModifiedContentcardModel()`
`InfomlType` | `getModifiedInfomlType()`
`NotecardModel` | `getModifiedNotecardModel()`
`void` | `run()`
`InfomlType` | `searchForNewValue(NotecardModel model)`
`void` | `setMainFr(MainFrame mainFr)`
`void` | `setModifiedContentcardModel(UniqueContentModel modifiedContentcardModel)`
`void` | `setModifiedInfomlType(InfomlType modifiedInfomlType)`
`void` | `setModifiedNotecardModel(NotecardModel currentModel)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfocardEqualizer

    public InfocardEqualizer()

Method Detail

### getMainFr

    public MainFrame getMainFr()

### setMainFr

    public void setMainFr(MainFrame mainFr)

### searchForNewValue

    public InfomlType searchForNewValue(NotecardModel model)

### equalizeNotecards

    public void equalizeNotecards()

### equalizeContentcards

    public void equalizeContentcards()

### fileOpened

    public void fileOpened(MainFrame mainFr)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### getModifiedNotecardModel

    public NotecardModel getModifiedNotecardModel()

### setModifiedNotecardModel

    public void setModifiedNotecardModel(NotecardModel currentModel)

### getModifiedContentcardModel

    public NotecardModel getModifiedContentcardModel()

### setModifiedContentcardModel

    public void setModifiedContentcardModel(UniqueContentModel modifiedContentcardModel)

### getModifiedInfomlType

    public InfomlType getModifiedInfomlType()

### setModifiedInfomlType

    public void setModifiedInfomlType(InfomlType modifiedInfomlType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD